# $Revision: 1.248 $, $Date: 2012/01/13 20:55:43 $
#
# Conditional build:
%bcond_without	x11	# X11-based utilities
%bcond_without	ldap	# LDAP plugin
%bcond_with	expose_internals	# install internal KCM headers
#
Summary:	Heimdal implementation of Kerberos V5 system
Summary(pl.UTF-8):	Implementacja Heimdal systemu Kerberos V5
Name:		heimdal
Version:	1.5.2
Release:	1
License:	Free
Group:		Networking
Source0:	http://www.h5l.org/dist/src/%{name}-%{version}.tar.gz
# Source0-md5:	bb23d9dbdafd395d816f7abc598481a1
Source1:	%{name}.init
Source2:	%{name}-kpasswdd.init
Source3:	%{name}-ipropd.init
Source4:	%{name}-kcm.init
Source5:	%{name}.sysconfig
Source6:	%{name}-kcm.sysconfig
Source7:	%{name}-krb5.conf
Source8:	%{name}-ftpd.inetd
Source9:	%{name}-rshd.inetd
Source10:	%{name}-telnetd.inetd
Source11:	%{name}-kadmind.inetd
Patch0:		%{name}-paths.patch
Patch1:		%{name}-am_man_fixes.patch
Patch2:		%{name}-amfix.patch
Patch3:		%{name}-dbpaths.patch
Patch4:		%{name}-db4.patch
Patch5:		%{name}-libadd.patch
Patch6:		%{name}-signal.patch
Patch7:		%{name}-make.patch
Patch8:		%{name}-info.patch
Patch9:		%{name}-sbindir.patch
Patch10:	%{name}-ntlm-digest.patch
Patch11:	%{name}-krb5config-nosysdirs.patch
Patch12:	%{name}-tinfo.patch
Patch13:	%{name}-missing-mit_glue-exports.patch
URL:		http://www.h5l.org/
BuildRequires:	autoconf >= 2.62
BuildRequires:	automake >= 1:1.10.3
BuildRequires:	bison
BuildRequires:	db-devel
BuildRequires:	flex
BuildRequires:	libcap-ng-devel >= 0.4.0
BuildRequires:	libcom_err-devel >= 1.41.11
BuildRequires:	libtool >= 2:2.2
BuildRequires:	mawk
BuildRequires:	ncurses-devel >= 5.1
%{?with_ldap:BuildRequires:	openldap-devel >= 2.3.0}
BuildRequires:	openssl-devel >= 0.9.7d
BuildRequires:	pkgconfig
BuildRequires:	readline-devel >= 5.0
BuildRequires:	rpmbuild(macros) >= 1.268
BuildRequires:	sqlite3-devel
BuildRequires:	texinfo
%{?with_x11:BuildRequires:	xorg-lib-libICE-devel}
%{?with_x11:BuildRequires:	xorg-lib-libSM-devel}
%{?with_x11:BuildRequires:	xorg-lib-libX11-devel}
%{?with_x11:BuildRequires:	xorg-lib-libXau-devel}
%{?with_x11:BuildRequires:	xorg-lib-libXt-devel}
Requires:	%{name}-libs-common = %{version}-%{release}
Provides:	kerberos5-client
Obsoletes:	kerberos5-client
Conflicts:	krb5-client
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_localstatedir	/var/lib/%{name}
%define		schemadir	/usr/share/openldap/schema

%description
Heimdal is a free implementation of Kerberos 5. The goals are to:
- have an implementation that can be freely used by anyone
- be protocol compatible with existing implementations and, if not in
  conflict, with RFC 1510 (and any future updated RFC)
- be reasonably compatible with the M.I.T Kerberos V5 API
- have support for Kerberos V5 over GSS-API (RFC1964)
- include the most important and useful application programs (rsh,
  telnet, popper, etc.)
- include enough backwards compatibility with Kerberos V4
- IPv6 support

%description -l pl.UTF-8
Heimdal jest darmową implementacją Kerberosa 5. Główne zalety to:
- implementacja, która może być używana przez każdego
- kompatybilność na poziomie protokołu z istniejącymi implementacjami
- racjonalna kompatybilność z M.I.T Kerberos V5 API
- wsparcie dla Kerberosa 5 poprzez GSS-API (RFC1964)
- zawiera większość istotnych i użytecznych aplikacji (rsh, telnet,
  popper, etc.)
- zawiera wystarczającą kompatybilność z Kerberos V4
- wsparcie dla IPv6

%package common
Summary:	Heimdal essential config files and documentation
Summary(pl.UTF-8):	Niezbędne pliki konfiguracyjne i dokumentacja dla heimdala
Group:		Networking

%description common
Package contains essential configs and documentation required
by heimdal packages.

%description common -l pl.UTF-8
Pakiet zawiera niezbędne pliki konfiguracyjne i dokumentację
dla heimdala.

%package libs
Summary:	Heimdal shared libraries
Summary(pl.UTF-8):	Biblioteki współdzielone dla heimdala
Group:		Libraries
Requires:	libcom_err >= 1.41.11

%description libs
This package contains shared libraries required by several of the
other heimdal packages.

%description libs -l pl.UTF-8
Ten pakiet zawiera biblioteki współdzielone wymagane przez kilka
innych pakietów składowych heimdala.

%package libs-common
Summary:	Common libraries used by Heimdal programs
Summary(pl.UTF-8):	Wspólne biblioteki używane przez programy z Heimdala
Group:		Libraries
Requires:	%{name}-common = %{version}-%{release}
Requires:	%{name}-libs = %{version}-%{release}

%description libs-common
Common libraries used by Heimdal programs.

%description libs-common -l pl.UTF-8
Wspólne biblioteki używane przez programy z projektu Heimdal.

%package libs-server
Summary:	Libraries used by Heimdal KDC server
Summary(pl.UTF-8):	Biblioteki używane przez serwer Heimdal KDC
Group:		Libraries
Requires:	%{name}-libs-common = %{version}-%{release}

%description libs-server
This package contains shared libraries required to run Heimdal KDC
server.

%description libs-server -l pl.UTF-8
Ten pakiet zawiera biblioteki współdzielone używane potrzebne dla
serwera KDC z projektu Heimdal.

%package devel
Summary:	Header files for heimdal
Summary(pl.UTF-8):	Pliki nagłówkowe i dokumentacja do bibliotek heimdal
Group:		Development/Libraries
Requires:	%{name}-libs = %{version}-%{release}
Requires:	%{name}-libs-common = %{version}-%{release}
Requires:	%{name}-libs-server = %{version}-%{release}
Requires:	db-devel
Requires:	libcom_err-devel >= 1.41.11
Requires:	openssl-devel
Requires:	sqlite3-devel
Conflicts:	krb5-devel
Conflicts:	libgssglue-devel

%description devel
contains files needed to compile and link software using the kerberos
libraries.

%description devel -l pl.UTF-8
Pliki nagłówkowe i dokumentacja do bibliotek heimdal.

%package static
Summary:	Static heimdal libraries
Summary(pl.UTF-8):	Biblioteki statyczne heimdal
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Satatic heimdal libraries.

%description static -l pl.UTF-8
Biblioteki statyczne heimdal.

%package ldap
Summary:	LDAP HDB plugin
Summary(pl.UTF-8):	Wtyczka HDB LDAP
Group:		Libraries
Requires:	%{name}-libs-common = %{version}-%{release}

%description ldap
LDAP HDB plugin.

%description ldap -l pl.UTF-8
Wtyczka HDB LDAP.

%package -n openldap-schema-heimdal
Summary:	Heimdal Kerberos LDAP schema
Summary(pl.UTF-8):	Schemat LDAP Kerberosa Heimdal
Group:		Networking/Daemons
Requires(post,postun):	sed >= 4.0
Requires:	openldap-servers

%description -n openldap-schema-heimdal
This package contains Heimdal Kerberos LDAP schema for openldap.

%description -n openldap-schema-heimdal -l pl.UTF-8
Ten pakiet zawiera schemat LDAP Kerberosa Heimdal dla openldap-a.

%package server
Summary:	Kerberos Server
Summary(pl.UTF-8):	Serwer Kerberosa
Group:		Networking
Requires(post,preun):	/sbin/chkconfig
Requires:	%{name}-libs-server = %{version}-%{release}
Requires:	rc-scripts
Provides:	kerberos5-server
# probably not a good idea
#Obsoletes:	kerberos5-server
Conflicts:	krb5-server

%description server
Master KDC.

%description server -l pl.UTF-8
Główne centrum dystrybucji kluczy (KDC).

%package kcm
Summary:	KCM - credencial cache daemon for Kerberos tickets
Summary(pl.UTF-8):	KCM - demon zapamiętujący dane uwierzytelniające dla biletów Kerberosa
Group:		Daemons
Requires:	%{name}-libs-common = %{version}-%{release}

%description kcm
KCM is a credencial cache daemon for Kerberos tickets.

%description kcm -l pl.UTF-8
KCM to demon zapamiętujący dane uwierzytelniające dla biletów
Kerberosa.

%package login
Summary:	login is used when signing onto a system
Summary(pl.UTF-8):	Narzędzie do logowania w systemie
Group:		Applications/Networking
Requires:	%{name}-libs-common = %{version}-%{release}
Provides:	kerberos5-login
Obsoletes:	kerberos5-login
Conflicts:	shadow < 1:4.0.16

%description login
login is used when signing onto a system. It can also be used to
switch from one user to another at any time (most modern shells have
support for this feature built into them, however). This package
contain kerberized version login program.

%description login -l pl.UTF-8
login jest używany przy logowaniu do systemu. Może być także użyty do
przełączenia z jednego użytkownika na innego w dowolnej chwili
(większość współczesnych shelli ma wbudowaną obsługę tego). Ten pakiet
zawiera skerberyzowaną wersję programu login.

%package ftp
Summary:	The standard UNIX FTP (file transfer protocol) client
Summary(pl.UTF-8):	Klient protokołu FTP
Group:		Applications/Networking
Requires:	%{name}-libs-common = %{version}-%{release}
Provides:	kerberos5-ftp
Obsoletes:	ftp
Obsoletes:	kerberos5-ftp
Conflicts:	heimdal-clients
Conflicts:	krb5-ftp

%description ftp
The FTP package provides the standard UNIX command-line FTP client
with kerberos authentication support. FTP is the file transfer
protocol, which is a widely used Internet protocol for transferring
files and for archiving files.

%description ftp -l pl.UTF-8
Ten pakiet dostarcza standardowego klienta FTP z wbudowaną obsługą
kerberosa. FTP jest protokołem do przesyłania plików szeroko
rozpowszechnionym w Internecie.

%package rsh
Summary:	Clients for remote access commands (rsh, rlogin, rcp)
Summary(pl.UTF-8):	Klient zdalnego dostępu (rsh, rlogin, rcp)
Group:		Applications/Networking
Requires:	%{name}-libs-common = %{version}-%{release}
Provides:	kerberos5-rsh
Obsoletes:	kerberos5-rsh
Obsoletes:	rsh
Conflicts:	heimdal-clients
Conflicts:	krb5-rsh

%description rsh
The rsh package contains a set of programs which allow users to run
commands on remote machines, login to other machines and copy files
between machines (rsh, rlogin and rcp). All three of these commands
use rhosts style authentication. This package contains the clients
needed for all of these services.

%description rsh -l pl.UTF-8
Ten pakiet zawiera zestaw narzędzi pozwalających na wykonywanie
poleceń na zdalnych maszynach, logowanie na inne maszyny oraz
kopiowanie plików pomiędzy maszynami (rsh, rlogin, rcp).

%package telnet
Summary:	Client for the telnet remote login
Summary(pl.UTF-8):	Klient usługi telnet
Group:		Applications/Networking
Requires:	%{name}-libs-common = %{version}-%{release}
Provides:	kerberos5-telnet
Obsoletes:	kerberos5-telnet
Obsoletes:	telnet
Conflicts:	heimdal-clients
Conflicts:	krb5-telnet

%description telnet
Telnet is a popular protocol for remote logins across the Internet.
This package provides a command line telnet client.

%description telnet -l pl.UTF-8
Telnet jest popularnym protokołem zdalnego logowania. Ten pakiet
zawiera klienta tej usługi.

%package ftpd
Summary:	The standard UNIX FTP (file transfer protocol) server
Summary(pl.UTF-8):	Serwer FTP
Group:		Networking/Daemons
Requires:	%{name}-libs-common = %{version}-%{release}
Requires:	rc-inetd >= 0.8.1
Provides:	kerberos5-ftpd
Obsoletes:	ftpd
Obsoletes:	kerberos5-ftpd
Conflicts:	krb5-ftpd

%description ftpd
FTP is the file transfer protocol, which is a widely used Internet
protocol for transferring files and for archiving files.

%description ftpd -l pl.UTF-8
FTP jest protokołem transmisji plików szeroko rozpowszechnionym w
Internecie.

%package rshd
Summary:	Server for remote access commands (rsh, rlogin, rcp)
Summary(pl.UTF-8):	Serwer zdalnego dostępu (rsh, rlogin, rcp)
Group:		Networking/Daemons
Requires:	%{name}-libs-common = %{version}-%{release}
Requires:	rc-inetd >= 0.8.1
Provides:	kerberos5-rshd
Obsoletes:	kerberos5-rshd
Obsoletes:	rshd
Conflicts:	krb5-rshd

%description rshd
The rsh package contains a set of programs which allow users to run
commmands on remote machines, login to other machines and copy files
between machines (rsh, rlogin and rcp). All three of these commands
use rhosts style authentication. This package contains servers needed
for all of these services.

%description rshd -l pl.UTF-8
Ten pakiet zawiera zestaw serwerów pozwalających na wykonywanie
poleceń na zdalnych maszynach, logowanie na inne maszyny oraz
kopiowanie plików pomiędzy maszynami (rsh, rlogin, rcp).

%package telnetd
Summary:	Server for the telnet remote login
Summary(pl.UTF-8):	Serwer protokołu telnet
Group:		Networking/Daemons
Requires:	%{name}-libs-common = %{version}-%{release}
Requires:	rc-inetd >= 0.8.1
Provides:	kerberos5-telnetd
Obsoletes:	kerberos5-telnetd
Obsoletes:	telnetd
Conflicts:	krb5-telnetd

%description telnetd
Telnet is a popular protocol for remote logins across the Internet.
This package provides a telnet daemon which allows remote logins into
the machine it is running on.

%description telnetd -l pl.UTF-8
Telnet jest popularnym protokołem zdalnego logowania. Ten pakiet
zawiera serwer pozwalający na zdalne logowanie się klientów na maszynę
na której działa.

%package daemons
Summary:	Kerberos daemons programs for use on servers
Summary(pl.UTF-8):	Serwery popularnych usług, autoryzujące przy pomocy kerberosa
Group:		Networking
Requires:	%{name}-libs-common = %{version}-%{release}

%description daemons
Kerberos Daemons.

%description daemons -l pl.UTF-8
Demony korzystające z systemu Kerberos do autoryzacji dostępu.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch10 -p1
%patch11 -p1
%patch12 -p1
%patch13 -p1

%build
install -d our-ld
ln -s %{_bindir}/ld.bfd our-ld/ld
export PATH=$(pwd)/our-ld:$PATH

%{__rm} acinclude.m4 cf/{libtool,lt*}.m4
%{__libtoolize}
%{__aclocal} -I cf
%{__autoconf}
%{__automake}
cd lib/libedit
%{__aclocal}
%{__autoconf}
%{__automake}
cd ../..
%configure \
%if %{with ldap}
	--enable-hdb-openldap-module \
	--with-openldap=/usr \
%endif
	--enable-kcm \
	--enable-pthread-support \
	--enable-shared \
	--enable-static \
	--with-hdbdir=%{_localstatedir} \
	--with-ipv6 \
	--with-readline=/usr \
	--with-sqlite3=/usr \
	--without-hesiod \
	--with%{!?with_x11:out}-x

%{__make} -j1

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_localstatedir},%{_sysconfdir},%{schemadir},/sbin,/%{_lib}} \
	$RPM_BUILD_ROOT/etc/{sysconfig/rc-inetd,rc.d/init.d}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install lib/hdb/hdb.schema $RPM_BUILD_ROOT%{schemadir}

mv $RPM_BUILD_ROOT%{_sbindir}/kcm $RPM_BUILD_ROOT/sbin/kcm

mv $RPM_BUILD_ROOT%{_bindir}/su $RPM_BUILD_ROOT%{_bindir}/ksu
mv $RPM_BUILD_ROOT%{_mandir}/man1/su.1 $RPM_BUILD_ROOT%{_mandir}/man1/ksu.1

install %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/%{name}
install %{SOURCE2} $RPM_BUILD_ROOT/etc/rc.d/init.d/kpasswdd
install %{SOURCE3} $RPM_BUILD_ROOT/etc/rc.d/init.d/ipropd
install %{SOURCE4} $RPM_BUILD_ROOT/etc/rc.d/init.d/kcm
install %{SOURCE5} $RPM_BUILD_ROOT/etc/sysconfig/%{name}
install %{SOURCE6} $RPM_BUILD_ROOT/etc/sysconfig/kcm

install %{SOURCE7} $RPM_BUILD_ROOT%{_sysconfdir}/krb5.conf

install %{SOURCE8} $RPM_BUILD_ROOT/etc/sysconfig/rc-inetd/ftpd
install %{SOURCE9} $RPM_BUILD_ROOT/etc/sysconfig/rc-inetd/rshd
install %{SOURCE10} $RPM_BUILD_ROOT/etc/sysconfig/rc-inetd/telnetd
install %{SOURCE11} $RPM_BUILD_ROOT/etc/sysconfig/rc-inetd/kadmind

for l in $RPM_BUILD_ROOT%{_libdir}/lib{asn1,gssapi,heimbase,heimntlm,hx509,kafs,krb5,roken,wind}.so; do
	lib=`basename $l`
	mv -f $RPM_BUILD_ROOT%{_libdir}/$lib.* $RPM_BUILD_ROOT/%{_lib}
	ln -sf /%{_lib}/$(basename $RPM_BUILD_ROOT/%{_lib}/$lib.*.*) $RPM_BUILD_ROOT%{_libdir}/$lib
done

%if %{with expose_internals}
# install definitions of KCM internal data structures to get KCM support in nfs-utils
install -d $RPM_BUILD_ROOT%{_includedir}/kcm
_mutexdef=$(cat << EOF | %{__cc} -E -I./include - | sed 's/_HEIMDAL_MUTEX \(.*\)/\1/p; d'
#include "config.h"
#include "heim_threads.h"
_HEIMDAL_MUTEX HEIMDAL_MUTEX
EOF)
%{__sed} -e '/#include <kcm-protos.h>/d' \
	-e '/#include "headers.h"/d' \
	-e '/kcm_service/N; /kcm_service/d;' \
	-e 's/<kcm\.h>/<kcm\/kcm.h>/' \
	-e "s/HEIMDAL_MUTEX/$_mutexdef/g" kcm/kcm_locl.h >$RPM_BUILD_ROOT%{_includedir}/kcm/kcm_locl.h
install -p lib/krb5/kcm.h $RPM_BUILD_ROOT%{_includedir}/kcm
%endif

# just a test plugin
%{__rm} $RPM_BUILD_ROOT%{_libdir}/windc.*
# not needed for plugin
%{__rm} $RPM_BUILD_ROOT%{_libdir}/hdb_ldap.{la,a}
# resolve heimdal-libs/krb5-libs conflict
%{__mv} $RPM_BUILD_ROOT%{_mandir}/man5/{krb5.conf.5,krb5.conf.5h}

touch $RPM_BUILD_ROOT{%{_sysconfdir}/krb5.keytab,%{_localstatedir}/kadmind.acl}

%clean
rm -rf $RPM_BUILD_ROOT

%post server
/sbin/chkconfig --add heimdal
%service heimdal restart "heimdal KDC daemon"
/sbin/chkconfig --add kpasswdd
%service kpasswdd restart "heimdal password changing daemon"
/sbin/chkconfig --add ipropd
%service ipropd restart "heimdal propagation daemons"
%service -q rc-inetd reload

%preun server
if [ "$1" = "0" ]; then
	%service ipropd stop
	/sbin/chkconfig --del ipropd
	%service kpasswdd stop
	/sbin/chkconfig --del kpasswdd
	%service heimdal stop
	/sbin/chkconfig --del heimdal
	%service -q rc-inetd reload
fi

%post kcm
/sbin/chkconfig --add kcm
if [ -f /var/lock/subsys/kcm ]; then
	echo "Run \"/sbin/service kcm restart\" to restart kcm." >&2
	echo "WARNING: it will clear all credentials and tickets kept in kcm!" >&2
else
	echo "Run \"/sbin/service kcm start\" to start kcm." >&2
fi

%preun kcm
if [ "$1" = "0" ]; then
	%service kcm stop
	/sbin/chkconfig --del kcm
fi

%post ftpd
%service -q rc-inetd reload

%postun ftpd
if [ "$1" = "0" ]; then
	%service -q rc-inetd reload
fi

%post rshd
%service -q rc-inetd reload

%postun rshd
if [ "$1" = "0" ]; then
	%service -q rc-inetd reload
fi

%post telnetd
%service -q rc-inetd reload

%postun telnetd
if [ "$1" = "0" ]; then
	%service -q rc-inetd reload
fi

%post common
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1

%postun common
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1

%post   libs -p /sbin/ldconfig
%postun libs -p /sbin/ldconfig
%post   libs-common -p /sbin/ldconfig
%postun libs-common -p /sbin/ldconfig
%post   libs-server -p /sbin/ldconfig
%postun libs-server -p /sbin/ldconfig

%if %{with ldap}
%post -n openldap-schema-heimdal
%openldap_schema_register %{schemadir}/hdb.schema
%service -q ldap restart

%postun -n openldap-schema-heimdal
if [ "$1" = "0" ]; then
	%openldap_schema_unregister %{schemadir}/hdb.schema
	%service -q ldap restart
fi
%endif

%triggerpostun libs -- heimdal-libs < 1.2.1-6
if [ -f /etc/heimdal/krb5.conf.rpmsave ]; then
	mv /etc/krb5.conf{,.rpmnew}
	mv -f /etc/heimdal/krb5.conf.rpmsave /etc/krb5.conf
fi
if [ -f /etc/heimdal/krb5.keytab.rpmsave ]; then
	mv /etc/krb5.keytab{,.rpmnew}
	mv -f /etc/heimdal/krb5.keytab.rpmsave /etc/krb5.keytab
fi

%files
%defattr(644,root,root,755)
%doc ChangeLog NEWS README TODO
%attr(755,root,root) %{_bindir}/afslog
%attr(755,root,root) %{_bindir}/gsstool
%attr(755,root,root) %{_bindir}/hxtool
%attr(755,root,root) %{_bindir}/idn-lookup
%attr(755,root,root) %{_bindir}/kcc
%attr(755,root,root) %{_bindir}/kdestroy
%attr(755,root,root) %{_bindir}/kf
%attr(755,root,root) %{_bindir}/kgetcred
%attr(755,root,root) %{_bindir}/kinit
%attr(755,root,root) %{_bindir}/klist
%attr(755,root,root) %{_bindir}/kpasswd
%attr(755,root,root) %{_bindir}/kswitch
%attr(755,root,root) %{_bindir}/otpprint
%attr(755,root,root) %{_bindir}/pagsh
%attr(755,root,root) %{_bindir}/pfrom
%attr(755,root,root) %{_bindir}/string2key
%attr(755,root,root) %{_bindir}/verify_krb5_conf
%attr(755,root,root) %{_sbindir}/kadmin
%attr(755,root,root) %{_sbindir}/kdigest
%attr(755,root,root) %{_sbindir}/kimpersonate
%attr(755,root,root) %{_sbindir}/ktutil
%attr(755,root,root) %{_sbindir}/push
%if %{with x11}
%attr(755,root,root) %{_bindir}/kx
%attr(755,root,root) %{_bindir}/rxtelnet
%attr(755,root,root) %{_bindir}/rxterm
%attr(755,root,root) %{_bindir}/tenletxr
%attr(755,root,root) %{_bindir}/xnlock
%endif
%attr(4755,root,root) %{_bindir}/otp
%attr(4755,root,root) %{_bindir}/ksu
%{_mandir}/man1/afslog.1*
%{_mandir}/man1/kdestroy.1*
%{_mandir}/man1/kf.1*
%{_mandir}/man1/kgetcred.1*
%{_mandir}/man1/kinit.1*
%{_mandir}/man1/klist.1*
%{_mandir}/man1/kpasswd.1*
%{_mandir}/man1/ksu.1*
%{_mandir}/man1/kswitch.1*
%{_mandir}/man1/otp.1*
%{_mandir}/man1/otpprint.1*
%{_mandir}/man1/pagsh.1*
%{_mandir}/man1/pfrom.1*
%if %{with x11}
%{_mandir}/man1/kx.1*
%{_mandir}/man1/rxtelnet.1*
%{_mandir}/man1/rxterm.1*
%{_mandir}/man1/tenletxr.1*
%{_mandir}/man1/xnlock.1*
%endif
%{_mandir}/man8/kadmin.8*
%{_mandir}/man8/kdigest.8*
%{_mandir}/man8/kimpersonate.8*
%{_mandir}/man8/ktutil.8*
%{_mandir}/man8/push.8*
%{_mandir}/man8/string2key.8*
%{_mandir}/man8/verify_krb5_conf.8*

%files common
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/krb5.conf
%attr(400,root,root) %ghost %{_sysconfdir}/krb5.keytab
%{_infodir}/heimdal.info*
%{_infodir}/hx509.info*
%{_mandir}/man5/krb5.conf.5*
%{_mandir}/man5/mech.5*
%{_mandir}/man8/kerberos.8*

%files libs
%defattr(644,root,root,755)
%attr(755,root,root) /%{_lib}/libasn1.so.*.*.*
%attr(755,root,root) %ghost /%{_lib}/libasn1.so.8
%attr(755,root,root) /%{_lib}/libgssapi.so.*.*.*
%attr(755,root,root) %ghost /%{_lib}/libgssapi.so.3
%attr(755,root,root) /%{_lib}/libheimbase.so.*.*.*
%attr(755,root,root) %ghost /%{_lib}/libheimbase.so.1
%attr(755,root,root) /%{_lib}/libheimntlm.so.*.*.*
%attr(755,root,root) %ghost /%{_lib}/libheimntlm.so.0
%attr(755,root,root) /%{_lib}/libhx509.so.*.*.*
%attr(755,root,root) %ghost /%{_lib}/libhx509.so.5
%attr(755,root,root) /%{_lib}/libkafs.so.*.*.*
%attr(755,root,root) %ghost /%{_lib}/libkafs.so.0
%attr(755,root,root) /%{_lib}/libkrb5.so.*.*.*
%attr(755,root,root) %ghost /%{_lib}/libkrb5.so.26
%attr(755,root,root) /%{_lib}/libroken.so.*.*.*
%attr(755,root,root) %ghost /%{_lib}/libroken.so.18
%attr(755,root,root) /%{_lib}/libwind.so.*.*.*
%attr(755,root,root) %ghost /%{_lib}/libwind.so.0

%files libs-common
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libhdb.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libhdb.so.9
%attr(755,root,root) %{_libdir}/libkadm5clnt.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libkadm5clnt.so.7
%attr(755,root,root) %{_libdir}/libkadm5srv.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libkadm5srv.so.8
%attr(755,root,root) %{_libdir}/libotp.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libotp.so.0
%attr(755,root,root) %{_libdir}/libsl.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libsl.so.0
%dir %{_libdir}/%{name}
%attr(755,root,root) %{_libdir}/%{name}/asn1_compile
%attr(755,root,root) %{_libdir}/%{name}/asn1_print
%attr(755,root,root) %{_libdir}/%{name}/slc

%files libs-server
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libkdc.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libkdc.so.2

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/krb5-config
%attr(755,root,root) %{_libdir}/libasn1.so
%attr(755,root,root) %{_libdir}/libgssapi.so
%attr(755,root,root) %{_libdir}/libhdb.so
%attr(755,root,root) %{_libdir}/libheimbase.so
%attr(755,root,root) %{_libdir}/libheimntlm.so
%attr(755,root,root) %{_libdir}/libhx509.so
%attr(755,root,root) %{_libdir}/libkadm5clnt.so
%attr(755,root,root) %{_libdir}/libkadm5srv.so
%attr(755,root,root) %{_libdir}/libkafs.so
%attr(755,root,root) %{_libdir}/libkdc.so
%attr(755,root,root) %{_libdir}/libkrb5.so
%attr(755,root,root) %{_libdir}/libotp.so
%attr(755,root,root) %{_libdir}/libroken.so
%attr(755,root,root) %{_libdir}/libsl.so
%attr(755,root,root) %{_libdir}/libwind.so
%{_libdir}/libasn1.la
%{_libdir}/libgssapi.la
%{_libdir}/libhdb.la
%{_libdir}/libheimbase.la
%{_libdir}/libheimntlm.la
%{_libdir}/libhx509.la
%{_libdir}/libkadm5clnt.la
%{_libdir}/libkadm5srv.la
%{_libdir}/libkafs.la
%{_libdir}/libkdc.la
%{_libdir}/libkrb5.la
%{_libdir}/libotp.la
%{_libdir}/libroken.la
%{_libdir}/libsl.la
%{_libdir}/libwind.la
%{_includedir}/*.h
%{_includedir}/gssapi
%{_includedir}/kadm5
%{?with_expose_internals:%{_includedir}/kcm}
%{_includedir}/krb5
%{_includedir}/roken
%{_pkgconfigdir}/heimdal-gssapi.pc
%{_mandir}/man1/krb5-config.1*
%{_mandir}/man3/DES_*.3*
%{_mandir}/man3/DH_*.3*
%{_mandir}/man3/EVP_*.3*
%{_mandir}/man3/HDB.3*
%{_mandir}/man3/OpenSSL_add_all_algorithms*.3*
%{_mandir}/man3/PKCS5_PBKDF2_HMAC_SHA1.3*
%{_mandir}/man3/RAND_*.3*
%{_mandir}/man3/RSA_*.3*
%{_mandir}/man3/__gss_c_attr_stream_sizes_oid_desc.3*
%{_mandir}/man3/challenge.3*
%{_mandir}/man3/context.3*
%{_mandir}/man3/data.3*
%{_mandir}/man3/domain.3*
%{_mandir}/man3/ecalloc.3*
%{_mandir}/man3/flags.3*
%{_mandir}/man3/getarg.3*
%{_mandir}/man3/gss_*.3*
%{_mandir}/man3/gssapi*.3*
%{_mandir}/man3/hcrypto_*.3*
%{_mandir}/man3/hdb_*.3*
%{_mandir}/man3/heim_ntlm_*.3*
%{_mandir}/man3/hostname.3*
%{_mandir}/man3/hx509*.3*
%{_mandir}/man3/internalvsmechname.3*
%{_mandir}/man3/kadm5_pwcheck.3*
%{_mandir}/man3/kafs.3*
%{_mandir}/man3/krb5*.3*
%{_mandir}/man3/length.3*
%{_mandir}/man3/lm.3*
%{_mandir}/man3/ntlm*.3*
%{_mandir}/man3/os.3*
%{_mandir}/man3/page_*.3*
%{_mandir}/man3/parse_time.3*
%{_mandir}/man3/rtbl.3*
%{_mandir}/man3/sessionkey.3*
%{_mandir}/man3/targetinfo.3*
%{_mandir}/man3/targetname.3*
%{_mandir}/man3/username.3*
%{_mandir}/man3/wind*.3*
%{_mandir}/man3/ws.3*

%files static
%defattr(644,root,root,755)
%{_libdir}/libasn1.a
%{_libdir}/libgssapi.a
%{_libdir}/libhdb.a
%{_libdir}/libheimbase.a
%{_libdir}/libheimntlm.a
%{_libdir}/libhx509.a
%{_libdir}/libkadm5clnt.a
%{_libdir}/libkadm5srv.a
%{_libdir}/libkafs.a
%{_libdir}/libkdc.a
%{_libdir}/libkrb5.a
%{_libdir}/libotp.a
%{_libdir}/libroken.a
%{_libdir}/libsl.a
%{_libdir}/libwind.a

%if %{with ldap}
%files ldap
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/hdb_ldap.so

%files -n openldap-schema-heimdal
%defattr(644,root,root,755)
%{schemadir}/hdb.schema
%endif

%files kcm
%defattr(644,root,root,755)
%attr(754,root,root) /etc/rc.d/init.d/kcm
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/kcm
%attr(755,root,root) /sbin/kcm
%{_mandir}/man8/kcm.8*

%files server
%defattr(644,root,root,755)
%attr(755,root,root) %{_sbindir}/digest-service
%attr(755,root,root) %{_sbindir}/hprop
%attr(755,root,root) %{_sbindir}/hpropd
%attr(755,root,root) %{_sbindir}/ipropd-master
%attr(755,root,root) %{_sbindir}/ipropd-slave
%attr(755,root,root) %{_sbindir}/iprop-log
%attr(755,root,root) %{_sbindir}/kadmind
%attr(755,root,root) %{_sbindir}/kdc
%attr(755,root,root) %{_sbindir}/kfd
%attr(755,root,root) %{_sbindir}/kpasswdd
%attr(755,root,root) %{_sbindir}/kstash
%{?with_x11:%attr(755,root,root) %{_sbindir}/kxd}
%attr(754,root,root) /etc/rc.d/init.d/%{name}
%attr(754,root,root) /etc/rc.d/init.d/kpasswdd
%attr(754,root,root) /etc/rc.d/init.d/ipropd
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/heimdal
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/rc-inetd/kadmind
%attr(700,root,root) %dir %{_localstatedir}
%attr(600,root,root) %config(noreplace) %verify(not md5 mtime size) %{_localstatedir}/*
%{_mandir}/man8/hprop.8*
%{_mandir}/man8/hpropd.8*
%{_mandir}/man8/iprop.8*
%{_mandir}/man8/iprop-log.8*
%{_mandir}/man8/kadmind.8*
%{_mandir}/man8/kdc.8*
%{_mandir}/man8/kfd.8*
%{_mandir}/man8/kpasswdd.8*
%{_mandir}/man8/kstash.8*
%{?with_x11:%{_mandir}/man8/kxd.8*}

%files login
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/login
%{_mandir}/man1/login.1*
%{_mandir}/man5/login.access.5*

%files ftp
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/ftp
%{_mandir}/man1/ftp.1*

%files rsh
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/rcp
%attr(755,root,root) %{_bindir}/rsh
%{_mandir}/man1/rcp.1*
%{_mandir}/man1/rsh.1*

%files telnet
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/telnet
%{_mandir}/man1/telnet.1*

%files ftpd
%defattr(644,root,root,755)
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/rc-inetd/ftpd
%attr(755,root,root) %{_sbindir}/ftpd
%{_mandir}/man5/ftpusers.5*
%{_mandir}/man8/ftpd.8*

%files rshd
%defattr(644,root,root,755)
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/rc-inetd/rshd
%attr(755,root,root) %{_sbindir}/rshd
%{_mandir}/man8/rshd.8*

%files telnetd
%defattr(644,root,root,755)
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/rc-inetd/telnetd
%attr(755,root,root) %{_sbindir}/telnetd
%{_mandir}/man8/telnetd.8*

%files daemons
%defattr(644,root,root,755)
%attr(755,root,root) %{_sbindir}/popper
%{_mandir}/man8/popper.8*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: heimdal.spec,v $
Revision 1.248  2012/01/13 20:55:43  zbyniu
- up to 1.5.2

Revision 1.247  2011/10/24 16:06:44  gotar
- libs R: recent libcom_err too: libkrb5.so.26: undefined symbol: com_right_r

Revision 1.246  2011/10/19 19:48:44  baggins
- rel 3
- new functions from krb5/mit_glue.c needs to be exported to be useful

Revision 1.245  2011/10/19 10:11:47  arekm
- rel 2; use ld.bfd; gold breaks linking (libkrb5 misses krb5_auth_con_getsendsubkey symbol for example)

Revision 1.244  2011/10/10 20:57:55  baggins
- rel 1

Revision 1.243  2011/10/10 20:37:17  baggins
- 1.5.1

Revision 1.242  2011/08/31 18:27:39  arekm
- release 2

Revision 1.241  2011/08/02 18:25:58  qboosh
- pl for libs-*
- explicit pkglib executables and man3 pages

Revision 1.240  2011/08/02 13:18:42  baggins
- no info/dir

Revision 1.239  2011/08/02 13:09:54  baggins
- rel 1
- SOA#1, server and clients

Revision 1.238  2011/08/01 19:15:37  baggins
- move libdir/heimdal to libs-common to avoid deps loop

Revision 1.237  2011/08/01 19:07:05  baggins
- new library - libheimbase
- added new tools (replce old gsscmd and kauth)

Revision 1.236  2011/08/01 12:15:31  baggins
- updated to 1.5 (seems unofficial?)
- libgssapi soname changed
- kcm patch applied
- fix linking with tinfo/ncurses

Revision 1.235  2011/08/01 10:36:17  baggins
- moved configs and docs out of libs and into common package so non-users
  don't keep useless files

Revision 1.234  2011/08/01 10:14:06  baggins
- removed second post

Revision 1.233  2011/08/01 10:13:11  baggins
- libs split changed to just public/common internal/server packages,
  or we and up with lib-per-package debian like mess.
  Please do not fix private problems by making mess in packages.

Revision 1.232  2011/07/30 11:13:19  gotar
- adjusted %post(un) for ntlm->support transition

Revision 1.231  2011/07/30 11:11:11  gotar
- adjusted %descriptions, no --force in %install, one TODO to consider

Revision 1.230  2011/07/30 10:29:53  gotar
- separating NTLM doesn't make much sense, they were never bumped and are
  required by gssapi (ntlm), hx509 and krb5 (wind); packaged with kafs

Revision 1.229  2011/07/30 09:57:32  gotar
- initial approach: separated core, krb5, ntlm and server libs subpackages,
  main libs R all of these (like metapackage) and ships non-libs resources

Revision 1.228  2011/07/30 08:38:32  gotar
- typo

Revision 1.227  2011/07/30 08:25:34  gotar
- sanitize /%_lib usage; moved back libs not required by libtirpc to %_libdir,
- initial mess cleanup: separated libs-database for KDC management; rev. 1.218
  states wrong assumption that noone needs multiple SOVERs installed - this needs
  further slicing to extract core and supplementary libs

Revision 1.226  2011/01/29 22:52:08  charles
- -devel R: sqlite3-devel

Revision 1.225  2010/11/03 17:53:59  shadzik
- rel 12

Revision 1.224  2010/10/21 12:54:19  baggins
- rel 11
- renumbered patches

Revision 1.223  2010/10/21 12:45:30  baggins
- drop shared-libcom_err patch
- R/BR libcom_err with com_right_r support

Revision 1.222  2010/10/19 21:27:21  baggins
- rel 10
- i'm fed up with heimdal Makefiles

Revision 1.221  2010/10/19 21:20:16  baggins
- rel 9
- pull "make kcm work on *nix" fixes from upstream

Revision 1.220  2010/10/18 16:22:09  baggins
- rel 8
- fix missing symbol in libkrb5

Revision 1.219  2010/10/17 23:39:59  baggins
- rel 7
- install kcm internal headers only if explicitly requested (bcond)

Revision 1.218  2010/10/16 09:20:35  arekm
- rel 6; revert latest change as it is not needed in multilib environment (just make sure you install the same package versions of botch arch)

Revision 1.217  2010/10/14 17:26:41  baggins
- rel 5
- moved configs and docs out of libs and into common package (for multiarch)

Revision 1.216  2010/10/14 16:32:49  baggins
- rel 4

Revision 1.215  2010/10/14 16:21:46  baggins
- don't pull hesiod for one stupid push(8) app

Revision 1.214  2010/10/14 12:56:29  baggins
- rel 3

Revision 1.213  2010/10/14 11:46:28  baggins
- install internal, gory details of KCM for nfs-utils

Revision 1.212  2010/10/08 20:47:06  qboosh
- more fixes in nosysdirs patch
- BR: libcap-ng-devel, pkgconfig; updated am version

Revision 1.211  2010/10/07 19:22:01  qboosh
- added krb5config-nosysdirs patch to kill system dirs from krb5-config -L/-I
  (messed linking within packages, like linking with old installed lib instead of new)

Revision 1.210  2010/10/04 22:20:37  baggins
- rel 2

Revision 1.209  2010/10/04 16:45:48  baggins
- rel 1

Revision 1.208  2010/10/02 10:31:12  baggins
- added _sbindir/digest-service
- sorted lists

Revision 1.207  2010/10/02 10:10:20  baggins
- attempt to fix parallel build

Revision 1.206  2010/10/02 09:18:59  baggins
- updated to 1.4

Revision 1.205  2010/09/14 09:12:17  baggins
- rel 2

Revision 1.204  2010/09/14 09:05:00  baggins
- there is no libhcrypto, we use openssl for that

Revision 1.203  2010/09/13 19:37:26  baggins
- use macro for /lib/

Revision 1.202  2010/09/13 18:53:34  aredridel
- move kadmin and push into heimdal package from heimdal-server

Revision 1.201  2010/06/02 12:22:37  baggins
- 1.3.3

Revision 1.200  2010/05/13 05:58:12  qboosh
- updated db4 patch to honour db4.8 and db5.0
- added virtual kerberos5-* Provides

Revision 1.199  2010/04/12 12:10:12  baggins
- rel 1

Revision 1.198  2010/04/12 10:42:48  baggins
- libkrb5 soname changed

Revision 1.197  2010/04/12 10:31:39  baggins
- renumbered paches

Revision 1.196  2010/04/12 10:30:51  baggins
- 1.3.2
- removed paches merged upstream

Revision 1.195  2010/04/10 18:18:28  arekm
- release 8

Revision 1.194  2010/04/10 18:02:34  arekm
- ldap bcond

Revision 1.193  2010/04/10 16:44:58  arekm
- release 6

Revision 1.192  2010/02/24 20:50:07  baggins
- rel 5
- added important warning to krb5.conf (DES sucks, NFS sucks)

Revision 1.191  2009/12/14 11:04:39  baggins
- rel 4

Revision 1.190  2009/12/14 10:49:06  baggins
- fix regression in _gsskrb5_acquire_cred

Revision 1.189  2009/12/10 14:41:14  baggins
- removed blocker, it turns out that GSSAPI now hates CNAME,
  if you see "Decrypt integrity check failed" that means "Use The <A> Luke!"

Revision 1.188  2009/12/09 20:34:03  baggins
- blocker

Revision 1.187  2009/12/09 15:00:38  baggins
- rel 3
- added missing dir to files

Revision 1.186  2009/12/09 13:20:22  baggins
- rel 2

Revision 1.185  2009/12/09 12:40:03  baggins
- rel 1 is back

Revision 1.184  2009/12/09 12:13:51  baggins
- rename enable-ntlm-digest to disable-... , make more sense that way

Revision 1.183  2009/12/09 11:45:52  baggins
- added enable-ntlm-digest option, see patch commit log for details

Revision 1.182  2009/12/08 11:00:54  baggins
- rel 1

Revision 1.181  2009/12/08 00:28:10  baggins
- make krb.h c++ safe (from upstream)

Revision 1.180  2009/12/07 22:45:22  baggins
- renumber patches

Revision 1.179  2009/12/07 22:44:27  baggins
- export symbols required by hdb_ldap.so

Revision 1.178  2009/12/07 19:07:29  baggins
- blocker

Revision 1.177  2009/12/07 16:33:05  baggins
- 1.3.1
- libhx509 soname changed
- updated X11 BRs
- add BR: sqlite3-devel for sqlite3 support
- removed obsolete and updated other patches

Revision 1.176  2009/11/27 18:45:29  sparky
- make sure it build correctly with -jN

Revision 1.175  2009/11/24 10:37:04  baggins
- rel 12
- move libs to /lib, rpcbind requires kerberos libs and /usr may be on NFS

Revision 1.174  2009/09/18 16:26:37  tommat
- autoconf fixes

Revision 1.173  2009/07/09 19:36:58  baggins
- rel 11
- fix sigsegv in kcm

Revision 1.172  2009/07/09 11:28:01  baggins
- rel 10
- simplify init scripts, it's rc-scripts job to assure that deamon started

Revision 1.171  2009/07/09 10:20:04  baggins
- rel 9
- link kcm statically against heimdal libs and install it in /sbin
  this solves chicken-egg problem with kerberized NFS (/usr on NFS)

Revision 1.170  2009/07/08 11:44:51  baggins
- rel 8

Revision 1.169  2009/07/08 11:21:17  baggins
- post/preun cleanups

Revision 1.168  2009/07/08 11:10:28  baggins
- don't package /etc

Revision 1.167  2009/07/08 11:01:23  baggins
- added init scripts for kcm and ipropd
- removed useless logrotate config (setup kdc to log to syslog)
- sorted files

Revision 1.166  2009/07/08 10:43:54  baggins
- added missing and unified existing init scripts

Revision 1.165  2009/07/02 13:01:05  baggins
- rel 7

Revision 1.164  2009/07/02 12:17:46  baggins
- devel conflicts with libgssglue-devel

Revision 1.163  2009/07/02 09:49:03  baggins
- added trigger for moved krb5.{conf,keytab}

Revision 1.162  2009/07/01 21:30:01  baggins
- rel 6

Revision 1.161  2009/07/01 21:29:02  baggins
- removed sysconfdir relocation, it's very non-standard and confusing

Revision 1.160  2009/06/30 14:16:25  baggins
- rel 5
- define krb5_free_error_message (some programs assume that if there is
  krb5_get_error_message then there is also a krb5_free_error_message)

Revision 1.159  2009/06/18 11:01:36  baggins
- rel 4
- fixed hdb_ldap.so linking

Revision 1.158  2009/06/17 13:15:07  baggins
- added openldap-schema-heimdal package

Revision 1.157  2009/06/17 11:48:27  baggins
- rel 3
- explicit conflict with krb5 programs

Revision 1.156  2009/02/23 22:12:54  arekm
- release 2

Revision 1.155  2008/12/09 08:32:13  glen
- check-files cleanup

Revision 1.154  2008/12/09 02:06:37  glen
- LT_PREREQ 2.2, remove libtool copies

Revision 1.153  2008/12/09 01:30:01  glen
- BR ac 2.62

Revision 1.152  2008/08/17 17:06:12  qboosh
- package idn-lookup

Revision 1.151  2008/08/03 13:33:24  arekm
- up to 1.2.1

Revision 1.150  2008/07/27 10:35:49  arekm
- release 4

Revision 1.149  2008/06/17 17:26:26  arekm
- rel 3

Revision 1.148  2008-06-14 20:27:40  arekm
- rel 2

Revision 1.147  2008-06-09 22:16:41  qboosh
- still track sonames; killed files duplicate

Revision 1.146  2008-06-07 19:12:57  arekm
- up to 1.2

Revision 1.145  2008-03-09 21:13:13  qboosh
- updated to 1.1 (libhx509 and libkrb5 sonames changed)
- updated dbpaths patch
- new URLs

Revision 1.144  2008-01-05 00:12:37  qboosh
- ghost soname symlinks
- package login.access(5) manual (no longer conflicts with shadow)

Revision 1.143  2007-12-26 20:13:03  zbyniu
- up to 1.0.2

Revision 1.142  2007-11-18 18:15:53  arekm
- rel 2

Revision 1.141  2007-11-03 02:10:03  baggins
- updated openldap BR/R to 2.4.6

Revision 1.140  2007/10/09 15:31:11  baggins
- s/enviroment/environment/

Revision 1.139  2007/08/12 20:27:37  qboosh
- updated to 1.0.1
- updated amfix,no-editline patches, removed (long time?) obsolete gcc4 patch
- updated db4 patch for db-4.6

Revision 1.138  2007/07/06 05:50:42  qboosh
- (re)added info patch

Revision 1.137  2007/07/06 05:41:02  qboosh
- updated to 0.8.1
- added ldap patch
- package more files, added -ldap and -kcm subpackages

Revision 1.136  2007/06/19 15:51:52  qboosh
- release .2

Revision 1.135  2007/06/19 15:50:12  qboosh
- rename kdb5.conf.5 manual (to *.5h) to resolve {heimdal,krb5}-libs conflict

Revision 1.134  2007/03/29 22:21:35  baggins
- don't package bindir/gss

Revision 1.133  2007/03/29 22:15:56  baggins
- updated to 0.8-rc7

Revision 1.132  2007/02/13 07:47:11  glen
- tabs in preamble

Revision 1.131  2007/02/12 00:48:55  baggins
- converted to UTF-8

Revision 1.130  2006/12/31 19:16:16  qboosh
- added signal patch to avoid using signal wrapper from libroken by other apps
- removed obsolete glob hack, already redefined to rk_glob* in sources
- release 6

Revision 1.129  2006/11/25 13:22:28  arekm
- rel 5

Revision 1.128  2006/10/02 16:01:40  qboosh
- updated db4 patch to prefer db-4.5
- added setuid-patch from vendor (CVE-2006-3083 CVE-2006-3084)

Revision 1.127  2006/09/30 22:17:14  arekm
- rebuild with new db4.5

Revision 1.126  2006/08/07 18:32:35  freetz
- rel.3, added libadd patch

Revision 1.125  2006/02/27 23:35:08  glen
- use %service

Revision 1.124  2006/02/20 22:19:04  qboosh
- autoupdate no longer needed

Revision 1.123  2006/02/19 23:27:06  qboosh
- added db4 patch

Revision 1.122  2006/02/16 18:01:22  qboosh
- added 2nd CVE reference to rev. 1.120 changelog

Revision 1.121  2006/02/12 09:25:05  pluto
- switch BR to modular xorg.

Revision 1.120  2006/02/08 20:18:19  qboosh
- updated to 0.7.2 (fixes CVE-2006-0582 and telnetd DoS [CVE-2006-0677])

Revision 1.119  2006/02/05 20:23:23  areq
- fix without X11

Revision 1.118  2006/01/17 12:21:42  baggins
- release 4
- BR openldap >= 2.3

Revision 1.117  2005/12/12 16:24:19  glen
- adapterized (sorted %verify attrs)

Revision 1.116  2005/11/22 17:18:58  pluto
- release 3 for Th (rebuild with db4.4).

Revision 1.115  2005/10/12 11:02:45  pluto
- remove empty usr/include/ss dir.

Revision 1.114  2005/09/23 21:50:00  pluto
- bump release for rebuild openldap/heimdal/cyrus/postrgesql/cvs loop.

Revision 1.113  2005/09/21 20:09:30  qboosh
- updated to 0.7.1 (bug fixes)

Revision 1.112  2005/09/17 10:10:32  arekm
- ups, 5.0

Revision 1.111  2005/09/17 10:06:31  arekm
- rebuild with readline 5.0

Revision 1.110  2005/07/03 17:34:15  arekm
- up to 0.7

Revision 1.109  2005/06/28 11:45:52  qboosh
- typo

Revision 1.108  2005/06/27 21:03:16  qboosh
- added CAN note to previous commit message

Revision 1.107  2005/06/27 15:59:28  undefine
- up to 0.6.5, bugfix release
  [fixes CAN-2005-2040]

Revision 1.106  2005/05/15 21:39:17  undefine
- kpasswdd daemon
- typo
- rel 3

Revision 1.105  2005/05/15 04:50:31  aredridel
- heimdal-ftp obsoletes ftp

Revision 1.104  2005/05/09 23:17:26  wiget
- %debug ready glob rename

Revision 1.103  2005/04/25 11:02:48  wiget
- rename libroken internal glob/globfree to heimdal_glob/heimdal_globfree (fixes sig11 in racoon)
- release 2

Revision 1.102  2005/04/23 18:13:52  qboosh
- updated to 0.6.4 (fixes telnet vulnerabilities and other bugs)

Revision 1.101  2005/03/21 18:32:23  mmazur
- rel 5 for th

Revision 1.100  2005/03/21 18:22:42  mmazur
- Req from db-* not dbX.Y-* (dbX.Y.spec's provide db-*)

Revision 1.99  2005/03/19 23:47:03  mmazur
- rel 4; added gcc4 patch; damn djurban

Revision 1.98  2005/03/19 20:49:42  mmazur
- rel 3 for th

Revision 1.97  2005/03/19 20:39:52  adgor
- Fixed R for -devel

Revision 1.96  2005/03/19 17:47:53  mmazur
- BR: db4.3-devel

Revision 1.95  2005/03/10 21:10:33  qboosh
- added no-editline patch, release 2

Revision 1.94  2004/12/20 18:58:08  qboosh
- BR: texinfo

Revision 1.93  2004/10/28 20:41:01  paladine
- "FTP" unification

Revision 1.92  2004/09/26 21:34:30  kolodko
- added macros in /etc/logrotate.d

Revision 1.91  2004/09/15 21:51:34  qboosh
- updated to 0.6.3 (includes fix for ftpd vulnerability)

Revision 1.90  2004/08/31 14:44:50  snurf
- typos / formatting / etc.

Revision 1.89  2004/05/13 19:25:46  qboosh
- updated to 0.6.2 (fixes CAN-2004-0434)

Revision 1.88  2004/05/13 16:36:02  undefine
- release 6 for AC

Revision 1.87  2004/05/13 16:33:54  undefine
- don't include /usr/bin/su. It's stupid and break many things. There is a
  /usr/bin/ksu already
- release 5

Revision 1.86  2004/04/29 10:17:10  adgor
- Strict internal deps

Revision 1.85  2004/04/28 19:51:26  undefine
- release 4 for AC

Revision 1.84  2004/04/07 09:21:46  arekm
- rel 2; rebuild

Revision 1.83  2004/04/03 07:16:04  aredridel
- revert

Revision 1.82  2004/04/03 05:55:50  aredridel
- make login manpage not conflict

Revision 1.81  2004/04/03 05:36:33  aredridel
- removed Provides and Obsoletes from login -- they do very different things!

Revision 1.80  2004/04/03 05:30:58  aredridel
- up to 0.6.1

Revision 1.79  2004/04/02 19:05:25  qboosh
- updated to 0.6.1, updated amfix,dbpaths,acfixes patches
- removed obsolete gcc33,db41,config-section,sasl-external patches
- added link patch to fix libroken linking (missing -lcrypt)

Revision 1.78  2004/03/19 23:46:27  ankry
- massive change: BR openssl-devel >= 0.9.7d

Revision 1.77  2004/03/16 09:36:08  wrobell
- rel. 9 to rebuild with new openldap on nest builders

Revision 1.76  2004/01/30 13:40:14  jajcus
- Release: 8
- acinclude.m4 removed (it only contains underquoted copy of "upcase"
  definition from cf/misc.m4)

Revision 1.75  2004/01/02 20:17:25  twittner
- provides telnet

Revision 1.74  2003/12/20 19:41:28  qboosh
- bcond description

Revision 1.73  2003/12/20 17:15:49  arekm
- bcond_without x11 added

Revision 1.72  2003/12/02 09:04:36  tiwek
- release++ for rebuild with db-4.2

Revision 1.71  2003/11/12 17:37:04  aredridel
- add ldap backend upport
- patch from http://www.stacken.kth.se/lists/heimdal-discuss/2003-05/msg00040.html

Revision 1.70  2003/10/18 08:54:51  qboosh
- -devel R: db-devel, openssl-devel

Revision 1.69  2003/10/16 21:26:35  qboosh
- BR: readline-devel; base R: -libs

Revision 1.68  2003/10/16 20:08:41  arekm
- rel 5

Revision 1.67  2003/10/16 19:04:48  qboosh
- added acfixes patch (bugs in -lcom_err and fnmatch.h checks)
- added /usr to --with-readline (fixes readline detection)
- removed netinfo comments (netinfo is users database under Darwin/MacOS)

Revision 1.66  2003/10/13 14:28:18  arekm
- don't crash on bad config

Revision 1.65  2003/10/12 13:40:40  arekm
- rel 3

Revision 1.64  2003/10/09 19:33:37  qboosh
- typo, removed junk (backup files) from dbpaths patch

Revision 1.63  2003/10/09 14:49:52  qboosh
- updated -devel dependency (s/e2fsprogs-devel/libcom_err-devel/)

Revision 1.62  2003/10/09 00:55:37  wiget
- allow building with system libcomm_err

Revision 1.61  2003/10/05 17:39:37  pius
- added BuildRequires: bison

Revision 1.60  2003/08/26 03:37:02  aredridel
- no longer needed to compile against e2fsprogs com_err

Revision 1.59  2003/08/18 08:08:10  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.58  2003/08/12 03:54:31  aredridel
- removed fnmatch.h

Revision 1.57  2003/08/12 03:53:58  aredridel
- removed ss.h

Revision 1.56  2003/08/12 03:50:02  aredridel
- patched to build with e2fsprogs compile_et/com_err

Revision 1.55  2003/08/11 05:45:39  aredridel
- release 2

Revision 1.54  2003/08/11 05:45:20  aredridel
- removed com_err
- requires e2fsprogs-devel for compile_et and ss.h
- requires e2fsprogs for com_err

Revision 1.53  2003/07/27 20:21:12  aredridel
- added patch to fix dbpath into /var/lib/heimdal completely

Revision 1.52  2003/07/26 12:04:27  qboosh
- updated to 0.6
- updated paths,am_man_fixes patches, added amfix,gcc33,db41 patches
- updated files lists
- changed _localstate dir from /var/heimdal to FHS-compliant /var/lib/heimdal

Revision 1.51  2003/05/28 12:59:04  malekith
- massive attack: source-md5

Revision 1.50  2003/05/25 05:48:40  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.49  2003/03/22 19:11:25  kloczek
- start update to 0.5.2,
- partialy updated %files,
- added am_man_fixes aptch for use .so roff includes instead symlinks between
  man pages.

Revision 1.48  2002/11/27 21:10:38  juandon
- new %doc

Revision 1.47  2002/11/25 14:16:44  ankry
- massive attack: no need for 755 for *.la

Revision 1.46  2002/09/20 07:50:05  kloczek
- start update to 0.5,
- added am_fixes patch.

Revision 1.45  2002/04/25 16:33:29  arturs
- fixed a small typo

Revision 1.44  2002/02/23 02:30:45  kloczek
- adapterized.

Revision 1.43  2002/02/22 23:29:02  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.42  2002/01/18 02:13:16  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.41  2001/10/03 16:43:28  filon
- changed req %{name}-lib to %{name}-devel in static subpkg
- release 3

Revision 1.40  2001/09/24 13:47:45  qboosh
- adapterized

Revision 1.39  2001/09/24 13:44:35  qboosh
- server Prereq: /sbin/chkconfig
- the rest of pl translations
- release 2
  NOTE: IMO some descriptions should contain notice that kerberos is used

Revision 1.38  2001/09/07 22:14:14  kloczek
- updated to 0.4e.

Revision 1.37  2001/07/28 21:37:29  blues
- typo: %s/sever"/server"/

Revision 1.36  2001/07/26 05:42:08  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.34  2001/07/23 20:20:58  kloczek
- typo on removing glob.h.

Revision 1.33  2001/07/23 10:45:26  kloczek
- removed %{_includedir}/glob.h (another conflict with glibc-devel).

Revision 1.32  2001/07/23 09:12:36  kloczek
- added e2fsprogs-devel to Requires list in devel subpackage.

Revision 1.31  2001/07/23 09:10:54  kloczek
- remove libss.* files and header files for libss (we have this in e2fsprogs).

Revision 1.30  2001/07/20 03:41:36  kloczek
- updated to 0.4c,
- added info patch,
- updated %files.

Revision 1.29  2001/05/13 01:53:26  kloczek
- s/db2-devel/db3-devel/

Revision 1.28  2001/02/01 16:27:34  kloczek
- Requires for rc-scripts changed to Prereq.

Revision 1.27  2000/12/05 16:41:39  wiget
- fix %post/%postun scripts

Revision 1.26  2000/11/01 00:30:31  kloczek
- updated to 0.3c,
- use new rpm automation.

Revision 1.25  2000/09/06 10:14:35  kloczek
- added db2-devel and ncurses-devel >= 5.1 to BuildRequires.

Revision 1.24  2000/09/06 10:12:39  kloczek
- updated to 0.3b.

Revision 1.23  2000/07/12 22:20:13  waszi
- login package Provides: login

Revision 1.22  2000/06/09 07:54:42  kloczek
- more %{__make} macros.

Revision 1.21  2000/06/09 07:22:58  kloczek
- added using %{__make} macro.

Revision 1.20  2000/05/17 23:08:37  kloczek
- removed enable LDAP support in %configure (not work now).

Revision 1.19  2000/05/17 23:07:25  kloczek
- updated to 0.2t,
- spec adapterized.

Revision 1.18  2000/05/02 21:22:37  baggins
- fixed version, minor cleanup

Revision 1.17  2000/05/01 20:11:41  zagrodzki
- removed Prereq: /usr/sbin/fix-info-dir
- fix-info-dir in %pre/post is executed only when info is already
  installed

Revision 1.16  2000/04/01 11:14:42  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.15  2000/03/28 16:54:30  baggins
- translated kloczkish into english

Revision 1.14  2000/03/21 01:57:09  kloczek
- updated to 0.2q,
- new Source url.

Revision 1.13  2000/03/17 10:28:36  kloczek
- added login subpackage,
- standarized %post, %preun for server subpackage,
- more BuildRequires,
- cosmetics.

Revision 1.12  2000/02/27 16:06:14  waszi
- partially rewrited

Revision 1.11  2000/02/13 13:32:07  kloczek
- start rewriting spec:
  - added separated clients packages: ftp, rsh and telnet,
  - added separated servers packages: ftpd, rshd and telnetd,
  - added passing LDFLAGS="-s" to ./configure environment,
  - added using %congfig macro and DESTDIR style %install.

Revision 1.10  2000/02/11 21:20:49  waszi
- removed uneeded patches

Revision 1.9  2000/02/11 06:06:32  kloczek
- Version to 0.2m,
- added Source url,
- added URL.

Revision 1.8  1999/09/24 10:45:02  pius
- moved running of /usr/sbin/fix-info-dir to %postun
- release up

Revision 1.7  1999/09/19 09:41:26  pius
- new {un}registering procedure for info pages using /usr/sbin/fix-info-dir

Revision 1.6  1999/09/11 13:40:58  misiek
- fixed requires (PR#35)

Revision 1.5  1999/07/12 23:05:58  kloczek
- added using CVS keywords in %changelog (for automating them).
